source: trunk/gsdl/configure@ 576

Last change on this file since 576 was 576, checked in by sjboddie, 25 years ago

got rid of the -O2 compiler option as it was causing some problems

  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 56.7 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=lib/text_t.h
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says [email protected].
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519else
520 ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525PACKAGE=gsdl
526VERSION=2.0
527cat >> confdefs.h <<EOF
528#define PACKAGE "$PACKAGE"
529EOF
530
531cat >> confdefs.h <<EOF
532#define VERSION "$VERSION"
533EOF
534
535
536
537
538USE_FASTCGI=0
539if test USE_FASTCGI = 1; then
540cat >> confdefs.h <<\EOF
541#define USE_FASTCGI 1
542EOF
543
544
545fi
546
547CFLAGS=-g
548
549
550# Extract the first word of "gcc", so it can be a program name with args.
551set dummy gcc; ac_word=$2
552echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
553echo "configure:554: checking for $ac_word" >&5
554if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
555 echo $ac_n "(cached) $ac_c" 1>&6
556else
557 if test -n "$CC"; then
558 ac_cv_prog_CC="$CC" # Let the user override the test.
559else
560 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
561 ac_dummy="$PATH"
562 for ac_dir in $ac_dummy; do
563 test -z "$ac_dir" && ac_dir=.
564 if test -f $ac_dir/$ac_word; then
565 ac_cv_prog_CC="gcc"
566 break
567 fi
568 done
569 IFS="$ac_save_ifs"
570fi
571fi
572CC="$ac_cv_prog_CC"
573if test -n "$CC"; then
574 echo "$ac_t""$CC" 1>&6
575else
576 echo "$ac_t""no" 1>&6
577fi
578
579if test -z "$CC"; then
580 # Extract the first word of "cc", so it can be a program name with args.
581set dummy cc; ac_word=$2
582echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
583echo "configure:584: checking for $ac_word" >&5
584if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
585 echo $ac_n "(cached) $ac_c" 1>&6
586else
587 if test -n "$CC"; then
588 ac_cv_prog_CC="$CC" # Let the user override the test.
589else
590 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
591 ac_prog_rejected=no
592 ac_dummy="$PATH"
593 for ac_dir in $ac_dummy; do
594 test -z "$ac_dir" && ac_dir=.
595 if test -f $ac_dir/$ac_word; then
596 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
597 ac_prog_rejected=yes
598 continue
599 fi
600 ac_cv_prog_CC="cc"
601 break
602 fi
603 done
604 IFS="$ac_save_ifs"
605if test $ac_prog_rejected = yes; then
606 # We found a bogon in the path, so make sure we never use it.
607 set dummy $ac_cv_prog_CC
608 shift
609 if test $# -gt 0; then
610 # We chose a different compiler from the bogus one.
611 # However, it has the same basename, so the bogon will be chosen
612 # first if we set CC to just the basename; use the full file name.
613 shift
614 set dummy "$ac_dir/$ac_word" "$@"
615 shift
616 ac_cv_prog_CC="$@"
617 fi
618fi
619fi
620fi
621CC="$ac_cv_prog_CC"
622if test -n "$CC"; then
623 echo "$ac_t""$CC" 1>&6
624else
625 echo "$ac_t""no" 1>&6
626fi
627
628 if test -z "$CC"; then
629 case "`uname -s`" in
630 *win32* | *WIN32*)
631 # Extract the first word of "cl", so it can be a program name with args.
632set dummy cl; ac_word=$2
633echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
634echo "configure:635: checking for $ac_word" >&5
635if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
636 echo $ac_n "(cached) $ac_c" 1>&6
637else
638 if test -n "$CC"; then
639 ac_cv_prog_CC="$CC" # Let the user override the test.
640else
641 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
642 ac_dummy="$PATH"
643 for ac_dir in $ac_dummy; do
644 test -z "$ac_dir" && ac_dir=.
645 if test -f $ac_dir/$ac_word; then
646 ac_cv_prog_CC="cl"
647 break
648 fi
649 done
650 IFS="$ac_save_ifs"
651fi
652fi
653CC="$ac_cv_prog_CC"
654if test -n "$CC"; then
655 echo "$ac_t""$CC" 1>&6
656else
657 echo "$ac_t""no" 1>&6
658fi
659 ;;
660 esac
661 fi
662 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
663fi
664
665echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
666echo "configure:667: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
667
668ac_ext=c
669# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
670ac_cpp='$CPP $CPPFLAGS'
671ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
672ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
673cross_compiling=$ac_cv_prog_cc_cross
674
675cat > conftest.$ac_ext << EOF
676
677#line 678 "configure"
678#include "confdefs.h"
679
680main(){return(0);}
681EOF
682if { (eval echo configure:683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
683 ac_cv_prog_cc_works=yes
684 # If we can't run a trivial program, we are probably using a cross compiler.
685 if (./conftest; exit) 2>/dev/null; then
686 ac_cv_prog_cc_cross=no
687 else
688 ac_cv_prog_cc_cross=yes
689 fi
690else
691 echo "configure: failed program was:" >&5
692 cat conftest.$ac_ext >&5
693 ac_cv_prog_cc_works=no
694fi
695rm -fr conftest*
696ac_ext=c
697# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
698ac_cpp='$CPP $CPPFLAGS'
699ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
700ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
701cross_compiling=$ac_cv_prog_cc_cross
702
703echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
704if test $ac_cv_prog_cc_works = no; then
705 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
706fi
707echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
708echo "configure:709: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
709echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
710cross_compiling=$ac_cv_prog_cc_cross
711
712echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
713echo "configure:714: checking whether we are using GNU C" >&5
714if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
715 echo $ac_n "(cached) $ac_c" 1>&6
716else
717 cat > conftest.c <<EOF
718#ifdef __GNUC__
719 yes;
720#endif
721EOF
722if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:723: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
723 ac_cv_prog_gcc=yes
724else
725 ac_cv_prog_gcc=no
726fi
727fi
728
729echo "$ac_t""$ac_cv_prog_gcc" 1>&6
730
731if test $ac_cv_prog_gcc = yes; then
732 GCC=yes
733else
734 GCC=
735fi
736
737ac_test_CFLAGS="${CFLAGS+set}"
738ac_save_CFLAGS="$CFLAGS"
739CFLAGS=
740echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
741echo "configure:742: checking whether ${CC-cc} accepts -g" >&5
742if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
743 echo $ac_n "(cached) $ac_c" 1>&6
744else
745 echo 'void f(){}' > conftest.c
746if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
747 ac_cv_prog_cc_g=yes
748else
749 ac_cv_prog_cc_g=no
750fi
751rm -f conftest*
752
753fi
754
755echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
756if test "$ac_test_CFLAGS" = set; then
757 CFLAGS="$ac_save_CFLAGS"
758elif test $ac_cv_prog_cc_g = yes; then
759 if test "$GCC" = yes; then
760 CFLAGS="-g -O2"
761 else
762 CFLAGS="-g"
763 fi
764else
765 if test "$GCC" = yes; then
766 CFLAGS="-O2"
767 else
768 CFLAGS=
769 fi
770fi
771
772for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
773do
774# Extract the first word of "$ac_prog", so it can be a program name with args.
775set dummy $ac_prog; ac_word=$2
776echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
777echo "configure:778: checking for $ac_word" >&5
778if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
779 echo $ac_n "(cached) $ac_c" 1>&6
780else
781 if test -n "$CXX"; then
782 ac_cv_prog_CXX="$CXX" # Let the user override the test.
783else
784 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
785 ac_dummy="$PATH"
786 for ac_dir in $ac_dummy; do
787 test -z "$ac_dir" && ac_dir=.
788 if test -f $ac_dir/$ac_word; then
789 ac_cv_prog_CXX="$ac_prog"
790 break
791 fi
792 done
793 IFS="$ac_save_ifs"
794fi
795fi
796CXX="$ac_cv_prog_CXX"
797if test -n "$CXX"; then
798 echo "$ac_t""$CXX" 1>&6
799else
800 echo "$ac_t""no" 1>&6
801fi
802
803test -n "$CXX" && break
804done
805test -n "$CXX" || CXX="gcc"
806
807
808echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
809echo "configure:810: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
810
811ac_ext=C
812# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
813ac_cpp='$CXXCPP $CPPFLAGS'
814ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
815ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
816cross_compiling=$ac_cv_prog_cxx_cross
817
818cat > conftest.$ac_ext << EOF
819
820#line 821 "configure"
821#include "confdefs.h"
822
823int main(){return(0);}
824EOF
825if { (eval echo configure:826: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
826 ac_cv_prog_cxx_works=yes
827 # If we can't run a trivial program, we are probably using a cross compiler.
828 if (./conftest; exit) 2>/dev/null; then
829 ac_cv_prog_cxx_cross=no
830 else
831 ac_cv_prog_cxx_cross=yes
832 fi
833else
834 echo "configure: failed program was:" >&5
835 cat conftest.$ac_ext >&5
836 ac_cv_prog_cxx_works=no
837fi
838rm -fr conftest*
839ac_ext=c
840# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
841ac_cpp='$CPP $CPPFLAGS'
842ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
843ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
844cross_compiling=$ac_cv_prog_cc_cross
845
846echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
847if test $ac_cv_prog_cxx_works = no; then
848 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
849fi
850echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
851echo "configure:852: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
852echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
853cross_compiling=$ac_cv_prog_cxx_cross
854
855echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
856echo "configure:857: checking whether we are using GNU C++" >&5
857if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
858 echo $ac_n "(cached) $ac_c" 1>&6
859else
860 cat > conftest.C <<EOF
861#ifdef __GNUC__
862 yes;
863#endif
864EOF
865if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:866: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
866 ac_cv_prog_gxx=yes
867else
868 ac_cv_prog_gxx=no
869fi
870fi
871
872echo "$ac_t""$ac_cv_prog_gxx" 1>&6
873
874if test $ac_cv_prog_gxx = yes; then
875 GXX=yes
876else
877 GXX=
878fi
879
880ac_test_CXXFLAGS="${CXXFLAGS+set}"
881ac_save_CXXFLAGS="$CXXFLAGS"
882CXXFLAGS=
883echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
884echo "configure:885: checking whether ${CXX-g++} accepts -g" >&5
885if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
886 echo $ac_n "(cached) $ac_c" 1>&6
887else
888 echo 'void f(){}' > conftest.cc
889if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
890 ac_cv_prog_cxx_g=yes
891else
892 ac_cv_prog_cxx_g=no
893fi
894rm -f conftest*
895
896fi
897
898echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
899if test "$ac_test_CXXFLAGS" = set; then
900 CXXFLAGS="$ac_save_CXXFLAGS"
901elif test $ac_cv_prog_cxx_g = yes; then
902 if test "$GXX" = yes; then
903 CXXFLAGS="-g -O2"
904 else
905 CXXFLAGS="-g"
906 fi
907else
908 if test "$GXX" = yes; then
909 CXXFLAGS="-O2"
910 else
911 CXXFLAGS=
912 fi
913fi
914
915echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
916echo "configure:917: checking whether ln -s works" >&5
917if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
918 echo $ac_n "(cached) $ac_c" 1>&6
919else
920 rm -f conftestdata
921if ln -s X conftestdata 2>/dev/null
922then
923 rm -f conftestdata
924 ac_cv_prog_LN_S="ln -s"
925else
926 ac_cv_prog_LN_S=ln
927fi
928fi
929LN_S="$ac_cv_prog_LN_S"
930if test "$ac_cv_prog_LN_S" = "ln -s"; then
931 echo "$ac_t""yes" 1>&6
932else
933 echo "$ac_t""no" 1>&6
934fi
935
936echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
937echo "configure:938: checking whether ${MAKE-make} sets \${MAKE}" >&5
938set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
939if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
940 echo $ac_n "(cached) $ac_c" 1>&6
941else
942 cat > conftestmake <<\EOF
943all:
944 @echo 'ac_maketemp="${MAKE}"'
945EOF
946# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
947eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
948if test -n "$ac_maketemp"; then
949 eval ac_cv_prog_make_${ac_make}_set=yes
950else
951 eval ac_cv_prog_make_${ac_make}_set=no
952fi
953rm -f conftestmake
954fi
955if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
956 echo "$ac_t""yes" 1>&6
957 SET_MAKE=
958else
959 echo "$ac_t""no" 1>&6
960 SET_MAKE="MAKE=${MAKE-make}"
961fi
962
963# Extract the first word of "ranlib", so it can be a program name with args.
964set dummy ranlib; ac_word=$2
965echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
966echo "configure:967: checking for $ac_word" >&5
967if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
968 echo $ac_n "(cached) $ac_c" 1>&6
969else
970 if test -n "$RANLIB"; then
971 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
972else
973 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
974 ac_dummy="$PATH"
975 for ac_dir in $ac_dummy; do
976 test -z "$ac_dir" && ac_dir=.
977 if test -f $ac_dir/$ac_word; then
978 ac_cv_prog_RANLIB="ranlib"
979 break
980 fi
981 done
982 IFS="$ac_save_ifs"
983 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
984fi
985fi
986RANLIB="$ac_cv_prog_RANLIB"
987if test -n "$RANLIB"; then
988 echo "$ac_t""$RANLIB" 1>&6
989else
990 echo "$ac_t""no" 1>&6
991fi
992
993
994echo $ac_n "checking for main in -lg""... $ac_c" 1>&6
995echo "configure:996: checking for main in -lg" >&5
996ac_lib_var=`echo g'_'main | sed 'y%./+-%__p_%'`
997if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
998 echo $ac_n "(cached) $ac_c" 1>&6
999else
1000 ac_save_LIBS="$LIBS"
1001LIBS="-lg $LIBS"
1002cat > conftest.$ac_ext <<EOF
1003#line 1004 "configure"
1004#include "confdefs.h"
1005
1006int main() {
1007main()
1008; return 0; }
1009EOF
1010if { (eval echo configure:1011: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1011 rm -rf conftest*
1012 eval "ac_cv_lib_$ac_lib_var=yes"
1013else
1014 echo "configure: failed program was:" >&5
1015 cat conftest.$ac_ext >&5
1016 rm -rf conftest*
1017 eval "ac_cv_lib_$ac_lib_var=no"
1018fi
1019rm -f conftest*
1020LIBS="$ac_save_LIBS"
1021
1022fi
1023if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1024 echo "$ac_t""yes" 1>&6
1025 ac_tr_lib=HAVE_LIB`echo g | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1026 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1027 cat >> confdefs.h <<EOF
1028#define $ac_tr_lib 1
1029EOF
1030
1031 LIBS="-lg $LIBS"
1032
1033else
1034 echo "$ac_t""no" 1>&6
1035fi
1036
1037echo $ac_n "checking for main in -lgdbm""... $ac_c" 1>&6
1038echo "configure:1039: checking for main in -lgdbm" >&5
1039ac_lib_var=`echo gdbm'_'main | sed 'y%./+-%__p_%'`
1040if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1041 echo $ac_n "(cached) $ac_c" 1>&6
1042else
1043 ac_save_LIBS="$LIBS"
1044LIBS="-lgdbm $LIBS"
1045cat > conftest.$ac_ext <<EOF
1046#line 1047 "configure"
1047#include "confdefs.h"
1048
1049int main() {
1050main()
1051; return 0; }
1052EOF
1053if { (eval echo configure:1054: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1054 rm -rf conftest*
1055 eval "ac_cv_lib_$ac_lib_var=yes"
1056else
1057 echo "configure: failed program was:" >&5
1058 cat conftest.$ac_ext >&5
1059 rm -rf conftest*
1060 eval "ac_cv_lib_$ac_lib_var=no"
1061fi
1062rm -f conftest*
1063LIBS="$ac_save_LIBS"
1064
1065fi
1066if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1067 echo "$ac_t""yes" 1>&6
1068 ac_tr_lib=HAVE_LIB`echo gdbm | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1069 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1070 cat >> confdefs.h <<EOF
1071#define $ac_tr_lib 1
1072EOF
1073
1074 LIBS="-lgdbm $LIBS"
1075
1076else
1077 echo "$ac_t""no" 1>&6
1078fi
1079
1080echo $ac_n "checking for main in -lm""... $ac_c" 1>&6
1081echo "configure:1082: checking for main in -lm" >&5
1082ac_lib_var=`echo m'_'main | sed 'y%./+-%__p_%'`
1083if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1084 echo $ac_n "(cached) $ac_c" 1>&6
1085else
1086 ac_save_LIBS="$LIBS"
1087LIBS="-lm $LIBS"
1088cat > conftest.$ac_ext <<EOF
1089#line 1090 "configure"
1090#include "confdefs.h"
1091
1092int main() {
1093main()
1094; return 0; }
1095EOF
1096if { (eval echo configure:1097: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1097 rm -rf conftest*
1098 eval "ac_cv_lib_$ac_lib_var=yes"
1099else
1100 echo "configure: failed program was:" >&5
1101 cat conftest.$ac_ext >&5
1102 rm -rf conftest*
1103 eval "ac_cv_lib_$ac_lib_var=no"
1104fi
1105rm -f conftest*
1106LIBS="$ac_save_LIBS"
1107
1108fi
1109if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1110 echo "$ac_t""yes" 1>&6
1111 ac_tr_lib=HAVE_LIB`echo m | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1112 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1113 cat >> confdefs.h <<EOF
1114#define $ac_tr_lib 1
1115EOF
1116
1117 LIBS="-lm $LIBS"
1118
1119else
1120 echo "$ac_t""no" 1>&6
1121fi
1122
1123echo $ac_n "checking for main in -lstdc""... $ac_c" 1>&6
1124echo "configure:1125: checking for main in -lstdc" >&5
1125ac_lib_var=`echo stdc'_'main | sed 'y%./+-%__p_%'`
1126if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1127 echo $ac_n "(cached) $ac_c" 1>&6
1128else
1129 ac_save_LIBS="$LIBS"
1130LIBS="-lstdc $LIBS"
1131cat > conftest.$ac_ext <<EOF
1132#line 1133 "configure"
1133#include "confdefs.h"
1134
1135int main() {
1136main()
1137; return 0; }
1138EOF
1139if { (eval echo configure:1140: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1140 rm -rf conftest*
1141 eval "ac_cv_lib_$ac_lib_var=yes"
1142else
1143 echo "configure: failed program was:" >&5
1144 cat conftest.$ac_ext >&5
1145 rm -rf conftest*
1146 eval "ac_cv_lib_$ac_lib_var=no"
1147fi
1148rm -f conftest*
1149LIBS="$ac_save_LIBS"
1150
1151fi
1152if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1153 echo "$ac_t""yes" 1>&6
1154 ac_tr_lib=HAVE_LIB`echo stdc | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1155 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1156 cat >> confdefs.h <<EOF
1157#define $ac_tr_lib 1
1158EOF
1159
1160 LIBS="-lstdc $LIBS"
1161
1162else
1163 echo "$ac_t""no" 1>&6
1164fi
1165
1166
1167echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1168echo "configure:1169: checking how to run the C preprocessor" >&5
1169# On Suns, sometimes $CPP names a directory.
1170if test -n "$CPP" && test -d "$CPP"; then
1171 CPP=
1172fi
1173if test -z "$CPP"; then
1174if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1175 echo $ac_n "(cached) $ac_c" 1>&6
1176else
1177 # This must be in double quotes, not single quotes, because CPP may get
1178 # substituted into the Makefile and "${CC-cc}" will confuse make.
1179 CPP="${CC-cc} -E"
1180 # On the NeXT, cc -E runs the code through the compiler's parser,
1181 # not just through cpp.
1182 cat > conftest.$ac_ext <<EOF
1183#line 1184 "configure"
1184#include "confdefs.h"
1185#include <assert.h>
1186Syntax Error
1187EOF
1188ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1189{ (eval echo configure:1190: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1190ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1191if test -z "$ac_err"; then
1192 :
1193else
1194 echo "$ac_err" >&5
1195 echo "configure: failed program was:" >&5
1196 cat conftest.$ac_ext >&5
1197 rm -rf conftest*
1198 CPP="${CC-cc} -E -traditional-cpp"
1199 cat > conftest.$ac_ext <<EOF
1200#line 1201 "configure"
1201#include "confdefs.h"
1202#include <assert.h>
1203Syntax Error
1204EOF
1205ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1206{ (eval echo configure:1207: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1207ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1208if test -z "$ac_err"; then
1209 :
1210else
1211 echo "$ac_err" >&5
1212 echo "configure: failed program was:" >&5
1213 cat conftest.$ac_ext >&5
1214 rm -rf conftest*
1215 CPP="${CC-cc} -nologo -E"
1216 cat > conftest.$ac_ext <<EOF
1217#line 1218 "configure"
1218#include "confdefs.h"
1219#include <assert.h>
1220Syntax Error
1221EOF
1222ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1223{ (eval echo configure:1224: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1224ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1225if test -z "$ac_err"; then
1226 :
1227else
1228 echo "$ac_err" >&5
1229 echo "configure: failed program was:" >&5
1230 cat conftest.$ac_ext >&5
1231 rm -rf conftest*
1232 CPP=/lib/cpp
1233fi
1234rm -f conftest*
1235fi
1236rm -f conftest*
1237fi
1238rm -f conftest*
1239 ac_cv_prog_CPP="$CPP"
1240fi
1241 CPP="$ac_cv_prog_CPP"
1242else
1243 ac_cv_prog_CPP="$CPP"
1244fi
1245echo "$ac_t""$CPP" 1>&6
1246
1247echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1248echo "configure:1249: checking for ANSI C header files" >&5
1249if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1250 echo $ac_n "(cached) $ac_c" 1>&6
1251else
1252 cat > conftest.$ac_ext <<EOF
1253#line 1254 "configure"
1254#include "confdefs.h"
1255#include <stdlib.h>
1256#include <stdarg.h>
1257#include <string.h>
1258#include <float.h>
1259EOF
1260ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1261{ (eval echo configure:1262: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1262ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1263if test -z "$ac_err"; then
1264 rm -rf conftest*
1265 ac_cv_header_stdc=yes
1266else
1267 echo "$ac_err" >&5
1268 echo "configure: failed program was:" >&5
1269 cat conftest.$ac_ext >&5
1270 rm -rf conftest*
1271 ac_cv_header_stdc=no
1272fi
1273rm -f conftest*
1274
1275if test $ac_cv_header_stdc = yes; then
1276 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1277cat > conftest.$ac_ext <<EOF
1278#line 1279 "configure"
1279#include "confdefs.h"
1280#include <string.h>
1281EOF
1282if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1283 egrep "memchr" >/dev/null 2>&1; then
1284 :
1285else
1286 rm -rf conftest*
1287 ac_cv_header_stdc=no
1288fi
1289rm -f conftest*
1290
1291fi
1292
1293if test $ac_cv_header_stdc = yes; then
1294 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1295cat > conftest.$ac_ext <<EOF
1296#line 1297 "configure"
1297#include "confdefs.h"
1298#include <stdlib.h>
1299EOF
1300if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1301 egrep "free" >/dev/null 2>&1; then
1302 :
1303else
1304 rm -rf conftest*
1305 ac_cv_header_stdc=no
1306fi
1307rm -f conftest*
1308
1309fi
1310
1311if test $ac_cv_header_stdc = yes; then
1312 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1313if test "$cross_compiling" = yes; then
1314 :
1315else
1316 cat > conftest.$ac_ext <<EOF
1317#line 1318 "configure"
1318#include "confdefs.h"
1319#include <ctype.h>
1320#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1321#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1322#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1323int main () { int i; for (i = 0; i < 256; i++)
1324if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1325exit (0); }
1326
1327EOF
1328if { (eval echo configure:1329: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1329then
1330 :
1331else
1332 echo "configure: failed program was:" >&5
1333 cat conftest.$ac_ext >&5
1334 rm -fr conftest*
1335 ac_cv_header_stdc=no
1336fi
1337rm -fr conftest*
1338fi
1339
1340fi
1341fi
1342
1343echo "$ac_t""$ac_cv_header_stdc" 1>&6
1344if test $ac_cv_header_stdc = yes; then
1345 cat >> confdefs.h <<\EOF
1346#define STDC_HEADERS 1
1347EOF
1348
1349fi
1350
1351for ac_hdr in fcntl.h
1352do
1353ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1354echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1355echo "configure:1356: checking for $ac_hdr" >&5
1356if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1357 echo $ac_n "(cached) $ac_c" 1>&6
1358else
1359 cat > conftest.$ac_ext <<EOF
1360#line 1361 "configure"
1361#include "confdefs.h"
1362#include <$ac_hdr>
1363EOF
1364ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1365{ (eval echo configure:1366: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1366ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1367if test -z "$ac_err"; then
1368 rm -rf conftest*
1369 eval "ac_cv_header_$ac_safe=yes"
1370else
1371 echo "$ac_err" >&5
1372 echo "configure: failed program was:" >&5
1373 cat conftest.$ac_ext >&5
1374 rm -rf conftest*
1375 eval "ac_cv_header_$ac_safe=no"
1376fi
1377rm -f conftest*
1378fi
1379if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1380 echo "$ac_t""yes" 1>&6
1381 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1382 cat >> confdefs.h <<EOF
1383#define $ac_tr_hdr 1
1384EOF
1385
1386else
1387 echo "$ac_t""no" 1>&6
1388fi
1389done
1390
1391
1392echo $ac_n "checking for working const""... $ac_c" 1>&6
1393echo "configure:1394: checking for working const" >&5
1394if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1395 echo $ac_n "(cached) $ac_c" 1>&6
1396else
1397 cat > conftest.$ac_ext <<EOF
1398#line 1399 "configure"
1399#include "confdefs.h"
1400
1401int main() {
1402
1403/* Ultrix mips cc rejects this. */
1404typedef int charset[2]; const charset x;
1405/* SunOS 4.1.1 cc rejects this. */
1406char const *const *ccp;
1407char **p;
1408/* NEC SVR4.0.2 mips cc rejects this. */
1409struct point {int x, y;};
1410static struct point const zero = {0,0};
1411/* AIX XL C 1.02.0.0 rejects this.
1412 It does not let you subtract one const X* pointer from another in an arm
1413 of an if-expression whose if-part is not a constant expression */
1414const char *g = "string";
1415ccp = &g + (g ? g-g : 0);
1416/* HPUX 7.0 cc rejects these. */
1417++ccp;
1418p = (char**) ccp;
1419ccp = (char const *const *) p;
1420{ /* SCO 3.2v4 cc rejects this. */
1421 char *t;
1422 char const *s = 0 ? (char *) 0 : (char const *) 0;
1423
1424 *t++ = 0;
1425}
1426{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1427 int x[] = {25, 17};
1428 const int *foo = &x[0];
1429 ++foo;
1430}
1431{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1432 typedef const int *iptr;
1433 iptr p = 0;
1434 ++p;
1435}
1436{ /* AIX XL C 1.02.0.0 rejects this saying
1437 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1438 struct s { int j; const int *ap[3]; };
1439 struct s *b; b->j = 5;
1440}
1441{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1442 const int foo = 10;
1443}
1444
1445; return 0; }
1446EOF
1447if { (eval echo configure:1448: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1448 rm -rf conftest*
1449 ac_cv_c_const=yes
1450else
1451 echo "configure: failed program was:" >&5
1452 cat conftest.$ac_ext >&5
1453 rm -rf conftest*
1454 ac_cv_c_const=no
1455fi
1456rm -f conftest*
1457fi
1458
1459echo "$ac_t""$ac_cv_c_const" 1>&6
1460if test $ac_cv_c_const = no; then
1461 cat >> confdefs.h <<\EOF
1462#define const
1463EOF
1464
1465fi
1466
1467echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1468echo "configure:1469: checking whether time.h and sys/time.h may both be included" >&5
1469if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1470 echo $ac_n "(cached) $ac_c" 1>&6
1471else
1472 cat > conftest.$ac_ext <<EOF
1473#line 1474 "configure"
1474#include "confdefs.h"
1475#include <sys/types.h>
1476#include <sys/time.h>
1477#include <time.h>
1478int main() {
1479struct tm *tp;
1480; return 0; }
1481EOF
1482if { (eval echo configure:1483: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1483 rm -rf conftest*
1484 ac_cv_header_time=yes
1485else
1486 echo "configure: failed program was:" >&5
1487 cat conftest.$ac_ext >&5
1488 rm -rf conftest*
1489 ac_cv_header_time=no
1490fi
1491rm -f conftest*
1492fi
1493
1494echo "$ac_t""$ac_cv_header_time" 1>&6
1495if test $ac_cv_header_time = yes; then
1496 cat >> confdefs.h <<\EOF
1497#define TIME_WITH_SYS_TIME 1
1498EOF
1499
1500fi
1501
1502
1503
1504ac_ext=C
1505# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1506ac_cpp='$CXXCPP $CPPFLAGS'
1507ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1508ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1509cross_compiling=$ac_cv_prog_cxx_cross
1510
1511success=no
1512echo $ac_n "checking "whether STL library has known faults"""... $ac_c" 1>&6
1513echo "configure:1514: checking "whether STL library has known faults"" >&5
1514
1515cat > conftest.$ac_ext <<EOF
1516#line 1517 "configure"
1517#include "confdefs.h"
1518#include <vector>
1519
1520int main() {
1521
1522; return 0; }
1523EOF
1524if { (eval echo configure:1525: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1525 rm -rf conftest*
1526 success=yes
1527else
1528 echo "configure: failed program was:" >&5
1529 cat conftest.$ac_ext >&5
1530fi
1531rm -f conftest*
1532
1533if test $success = "no"; then
1534cat > conftest.$ac_ext <<EOF
1535#line 1536 "configure"
1536#include "confdefs.h"
1537#include <vector.h>
1538
1539int main() {
1540
1541; return 0; }
1542EOF
1543if { (eval echo configure:1544: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1544 rm -rf conftest*
1545 success="yes"
1546else
1547 echo "configure: failed program was:" >&5
1548 cat conftest.$ac_ext >&5
1549fi
1550rm -f conftest*
1551fi
1552
1553if test $success = "no"; then
1554cat > conftest.$ac_ext <<EOF
1555#line 1556 "configure"
1556#include "confdefs.h"
1557#include <ospace\\std\\vector>
1558
1559int main() {
1560
1561; return 0; }
1562EOF
1563if { (eval echo configure:1564: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1564 rm -rf conftest*
1565 success="yes"
1566else
1567 echo "configure: failed program was:" >&5
1568 cat conftest.$ac_ext >&5
1569fi
1570rm -f conftest*
1571fi
1572
1573if test $success = yes; then
1574echo "$ac_t"""no"" 1>&6
1575else
1576echo "$ac_t"""yes"" 1>&6
1577{ echo "configure: error: "STL Broken - new not found in vector header file"" 1>&2; exit 1; }
1578fi
1579
1580gsdlos=`uname | tr A-Z a-z`
1581
1582
1583echo $ac_n "checking for vprintf""... $ac_c" 1>&6
1584echo "configure:1585: checking for vprintf" >&5
1585if eval "test \"`echo '$''{'ac_cv_func_vprintf'+set}'`\" = set"; then
1586 echo $ac_n "(cached) $ac_c" 1>&6
1587else
1588 cat > conftest.$ac_ext <<EOF
1589#line 1590 "configure"
1590#include "confdefs.h"
1591/* System header to define __stub macros and hopefully few prototypes,
1592 which can conflict with char vprintf(); below. */
1593#include <assert.h>
1594/* Override any gcc2 internal prototype to avoid an error. */
1595#ifdef __cplusplus
1596extern "C"
1597#endif
1598/* We use char because int might match the return type of a gcc2
1599 builtin and then its argument prototype would still apply. */
1600char vprintf();
1601
1602int main() {
1603
1604/* The GNU C library defines this for functions which it implements
1605 to always fail with ENOSYS. Some functions are actually named
1606 something starting with __ and the normal name is an alias. */
1607#if defined (__stub_vprintf) || defined (__stub___vprintf)
1608choke me
1609#else
1610vprintf();
1611#endif
1612
1613; return 0; }
1614EOF
1615if { (eval echo configure:1616: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1616 rm -rf conftest*
1617 eval "ac_cv_func_vprintf=yes"
1618else
1619 echo "configure: failed program was:" >&5
1620 cat conftest.$ac_ext >&5
1621 rm -rf conftest*
1622 eval "ac_cv_func_vprintf=no"
1623fi
1624rm -f conftest*
1625fi
1626
1627if eval "test \"`echo '$ac_cv_func_'vprintf`\" = yes"; then
1628 echo "$ac_t""yes" 1>&6
1629 cat >> confdefs.h <<\EOF
1630#define HAVE_VPRINTF 1
1631EOF
1632
1633else
1634 echo "$ac_t""no" 1>&6
1635fi
1636
1637if test "$ac_cv_func_vprintf" != yes; then
1638echo $ac_n "checking for _doprnt""... $ac_c" 1>&6
1639echo "configure:1640: checking for _doprnt" >&5
1640if eval "test \"`echo '$''{'ac_cv_func__doprnt'+set}'`\" = set"; then
1641 echo $ac_n "(cached) $ac_c" 1>&6
1642else
1643 cat > conftest.$ac_ext <<EOF
1644#line 1645 "configure"
1645#include "confdefs.h"
1646/* System header to define __stub macros and hopefully few prototypes,
1647 which can conflict with char _doprnt(); below. */
1648#include <assert.h>
1649/* Override any gcc2 internal prototype to avoid an error. */
1650#ifdef __cplusplus
1651extern "C"
1652#endif
1653/* We use char because int might match the return type of a gcc2
1654 builtin and then its argument prototype would still apply. */
1655char _doprnt();
1656
1657int main() {
1658
1659/* The GNU C library defines this for functions which it implements
1660 to always fail with ENOSYS. Some functions are actually named
1661 something starting with __ and the normal name is an alias. */
1662#if defined (__stub__doprnt) || defined (__stub____doprnt)
1663choke me
1664#else
1665_doprnt();
1666#endif
1667
1668; return 0; }
1669EOF
1670if { (eval echo configure:1671: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1671 rm -rf conftest*
1672 eval "ac_cv_func__doprnt=yes"
1673else
1674 echo "configure: failed program was:" >&5
1675 cat conftest.$ac_ext >&5
1676 rm -rf conftest*
1677 eval "ac_cv_func__doprnt=no"
1678fi
1679rm -f conftest*
1680fi
1681
1682if eval "test \"`echo '$ac_cv_func_'_doprnt`\" = yes"; then
1683 echo "$ac_t""yes" 1>&6
1684 cat >> confdefs.h <<\EOF
1685#define HAVE_DOPRNT 1
1686EOF
1687
1688else
1689 echo "$ac_t""no" 1>&6
1690fi
1691
1692fi
1693
1694
1695trap '' 1 2 15
1696cat > confcache <<\EOF
1697# This file is a shell script that caches the results of configure
1698# tests run on this system so they can be shared between configure
1699# scripts and configure runs. It is not useful on other systems.
1700# If it contains results you don't want to keep, you may remove or edit it.
1701#
1702# By default, configure uses ./config.cache as the cache file,
1703# creating it if it does not exist already. You can give configure
1704# the --cache-file=FILE option to use a different cache file; that is
1705# what configure does when it calls configure scripts in
1706# subdirectories, so they share the cache.
1707# Giving --cache-file=/dev/null disables caching, for debugging configure.
1708# config.status only pays attention to the cache file if you give it the
1709# --recheck option to rerun configure.
1710#
1711EOF
1712# The following way of writing the cache mishandles newlines in values,
1713# but we know of no workaround that is simple, portable, and efficient.
1714# So, don't put newlines in cache variables' values.
1715# Ultrix sh set writes to stderr and can't be redirected directly,
1716# and sets the high bit in the cache file unless we assign to the vars.
1717(set) 2>&1 |
1718 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1719 *ac_space=\ *)
1720 # `set' does not quote correctly, so add quotes (double-quote substitution
1721 # turns \\\\ into \\, and sed turns \\ into \).
1722 sed -n \
1723 -e "s/'/'\\\\''/g" \
1724 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1725 ;;
1726 *)
1727 # `set' quotes correctly as required by POSIX, so do not add quotes.
1728 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1729 ;;
1730 esac >> confcache
1731if cmp -s $cache_file confcache; then
1732 :
1733else
1734 if test -w $cache_file; then
1735 echo "updating cache $cache_file"
1736 cat confcache > $cache_file
1737 else
1738 echo "not updating unwritable cache $cache_file"
1739 fi
1740fi
1741rm -f confcache
1742
1743trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1744
1745test "x$prefix" = xNONE && prefix=$ac_default_prefix
1746# Let make expand exec_prefix.
1747test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1748
1749# Any assignment to VPATH causes Sun make to only execute
1750# the first set of double-colon rules, so remove it if not needed.
1751# If there is a colon in the path, we need to keep it.
1752if test "x$srcdir" = x.; then
1753 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1754fi
1755
1756trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1757
1758# Transform confdefs.h into DEFS.
1759# Protect against shell expansion while executing Makefile rules.
1760# Protect against Makefile macro expansion.
1761cat > conftest.defs <<\EOF
1762s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1763s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1764s%\[%\\&%g
1765s%\]%\\&%g
1766s%\$%$$%g
1767EOF
1768DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1769rm -f conftest.defs
1770
1771
1772# Without the "./", some shells look in PATH for config.status.
1773: ${CONFIG_STATUS=./config.status}
1774
1775echo creating $CONFIG_STATUS
1776rm -f $CONFIG_STATUS
1777cat > $CONFIG_STATUS <<EOF
1778#! /bin/sh
1779# Generated automatically by configure.
1780# Run this file to recreate the current configuration.
1781# This directory was configured as follows,
1782# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1783#
1784# $0 $ac_configure_args
1785#
1786# Compiler output produced by configure, useful for debugging
1787# configure, is in ./config.log if it exists.
1788
1789ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1790for ac_option
1791do
1792 case "\$ac_option" in
1793 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1794 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1795 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1796 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1797 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1798 exit 0 ;;
1799 -help | --help | --hel | --he | --h)
1800 echo "\$ac_cs_usage"; exit 0 ;;
1801 *) echo "\$ac_cs_usage"; exit 1 ;;
1802 esac
1803done
1804
1805ac_given_srcdir=$srcdir
1806
1807trap 'rm -fr `echo "src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile src/db2txt/Makefile lib/Makefile collect/cstr/src/recpt/Makefile collect/niupepa/src/recpt/Makefile Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1808EOF
1809cat >> $CONFIG_STATUS <<EOF
1810
1811# Protect against being on the right side of a sed subst in config.status.
1812sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1813 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1814$ac_vpsub
1815$extrasub
1816s%@SHELL@%$SHELL%g
1817s%@CFLAGS@%$CFLAGS%g
1818s%@CPPFLAGS@%$CPPFLAGS%g
1819s%@CXXFLAGS@%$CXXFLAGS%g
1820s%@FFLAGS@%$FFLAGS%g
1821s%@DEFS@%$DEFS%g
1822s%@LDFLAGS@%$LDFLAGS%g
1823s%@LIBS@%$LIBS%g
1824s%@exec_prefix@%$exec_prefix%g
1825s%@prefix@%$prefix%g
1826s%@program_transform_name@%$program_transform_name%g
1827s%@bindir@%$bindir%g
1828s%@sbindir@%$sbindir%g
1829s%@libexecdir@%$libexecdir%g
1830s%@datadir@%$datadir%g
1831s%@sysconfdir@%$sysconfdir%g
1832s%@sharedstatedir@%$sharedstatedir%g
1833s%@localstatedir@%$localstatedir%g
1834s%@libdir@%$libdir%g
1835s%@includedir@%$includedir%g
1836s%@oldincludedir@%$oldincludedir%g
1837s%@infodir@%$infodir%g
1838s%@mandir@%$mandir%g
1839s%@PACKAGE@%$PACKAGE%g
1840s%@VERSION@%$VERSION%g
1841s%@USE_FASTCGI@%$USE_FASTCGI%g
1842s%@CC@%$CC%g
1843s%@CXX@%$CXX%g
1844s%@LN_S@%$LN_S%g
1845s%@SET_MAKE@%$SET_MAKE%g
1846s%@RANLIB@%$RANLIB%g
1847s%@CPP@%$CPP%g
1848s%@gsdlos@%$gsdlos%g
1849
1850CEOF
1851EOF
1852
1853cat >> $CONFIG_STATUS <<\EOF
1854
1855# Split the substitutions into bite-sized pieces for seds with
1856# small command number limits, like on Digital OSF/1 and HP-UX.
1857ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1858ac_file=1 # Number of current file.
1859ac_beg=1 # First line for current file.
1860ac_end=$ac_max_sed_cmds # Line after last line for current file.
1861ac_more_lines=:
1862ac_sed_cmds=""
1863while $ac_more_lines; do
1864 if test $ac_beg -gt 1; then
1865 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1866 else
1867 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1868 fi
1869 if test ! -s conftest.s$ac_file; then
1870 ac_more_lines=false
1871 rm -f conftest.s$ac_file
1872 else
1873 if test -z "$ac_sed_cmds"; then
1874 ac_sed_cmds="sed -f conftest.s$ac_file"
1875 else
1876 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1877 fi
1878 ac_file=`expr $ac_file + 1`
1879 ac_beg=$ac_end
1880 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1881 fi
1882done
1883if test -z "$ac_sed_cmds"; then
1884 ac_sed_cmds=cat
1885fi
1886EOF
1887
1888cat >> $CONFIG_STATUS <<EOF
1889
1890CONFIG_FILES=\${CONFIG_FILES-"src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile src/db2txt/Makefile lib/Makefile collect/cstr/src/recpt/Makefile collect/niupepa/src/recpt/Makefile Makefile"}
1891EOF
1892cat >> $CONFIG_STATUS <<\EOF
1893for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1894 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1895 case "$ac_file" in
1896 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1897 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1898 *) ac_file_in="${ac_file}.in" ;;
1899 esac
1900
1901 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1902
1903 # Remove last slash and all that follows it. Not all systems have dirname.
1904 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1905 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1906 # The file is in a subdirectory.
1907 test ! -d "$ac_dir" && mkdir "$ac_dir"
1908 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1909 # A "../" for each directory in $ac_dir_suffix.
1910 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1911 else
1912 ac_dir_suffix= ac_dots=
1913 fi
1914
1915 case "$ac_given_srcdir" in
1916 .) srcdir=.
1917 if test -z "$ac_dots"; then top_srcdir=.
1918 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1919 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1920 *) # Relative path.
1921 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1922 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1923 esac
1924
1925
1926 echo creating "$ac_file"
1927 rm -f "$ac_file"
1928 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1929 case "$ac_file" in
1930 *Makefile*) ac_comsub="1i\\
1931# $configure_input" ;;
1932 *) ac_comsub= ;;
1933 esac
1934
1935 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1936 sed -e "$ac_comsub
1937s%@configure_input@%$configure_input%g
1938s%@srcdir@%$srcdir%g
1939s%@top_srcdir@%$top_srcdir%g
1940" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1941fi; done
1942rm -f conftest.s*
1943
1944EOF
1945cat >> $CONFIG_STATUS <<EOF
1946
1947EOF
1948cat >> $CONFIG_STATUS <<\EOF
1949
1950exit 0
1951EOF
1952chmod +x $CONFIG_STATUS
1953rm -fr confdefs* $ac_clean_files
1954test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1955
1956
1957
1958
1959
Note: See TracBrowser for help on using the repository browser.